Install JavaScript Client
Everything you need to install and run a browser and promise-based TerminusDB JavaScript Client

Requirements

A list of prerequisite components depending on your operating system. Click on the required component to download it from the provider's website.
Table: Installation requirements
Component
Version
Required to:
Linux
macOS
Windows
GitBash
Latest
Use the npm CLI.
NodeJS
0.10+
Use NodeJS event functionality. Version 0.10 or higher is required, version 8.1.4 is recommended.
npm
Latest
Use NodeJS package manager.

Install steps

You can install and use the TerminusDB client as a NodeJS module using npm or directly as a minified JavaScript file.

Install client as a NodeJS module

Using npm we can install the package in a new NodeJs project or existing one using following commands:
Go to a NodeJs project folder:
$ cd ../projectfolder/
Install the package
$ npm install --save @terminusdb/terminusdb-client

Install client as a minified script

Use the minified script terminusdb-client.min.js in a CDN or download it to a location of your choice.
Use in a CDN
Use the minified script in your Content Delivery Network (CDN.)
<script src="https://unpkg.com/@terminusdb/terminusdb-client/dist/terminusdb-client.min.js"></script>
Download the script
Download the minified script from https://unpkg.com/browse/@terminusdb/terminusdb-client/dist/ and save it to [your-location].
<script src="http://[your-location]/terminusdb-client.min.js"></script>

Further reading

Export as PDF
Copy link
On this page
Requirements
Install steps
Further reading